
package mobicomp.interfaces;


import java.util.Vector;


public interface MHMessage
{
    public static final byte TYPE_RREQ = 0x32;

    /**
     * Set/get the message type 
     */
    public void setType( byte b);

    public byte getType();

    /**
     * Set/get the messages flood-id
     */
    public void setFloodId( int id);

    public int getFloodId();

    /**
     * Set/get the sender address of the message
     */
    public void setSender( int addr);

    public int getSender();

    /**
     * Set/get the receiver address of the message
     */
    public void setReceiver( int addr);

    public int getReceiver();

    /**
     * Set/get the messages TTL
     */
    public void setTTL( int ttl);

    public int getTTL();

    /**
     * Set/get the messages route index
     */
    public void setRouteIndex( int routeIndex);

    public int getRouteIndex();

    /**
     * Set/get the messages route
     */
    public void setRoute( Vector route);

    public Vector getRoute();

    /**
     * Set/get the data part of the message
     */
    public void setData( byte[] data);

    public byte[] getData();
}